Skip to main content
GET
List directory contents

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

storage_id
string
required
path
string
required

Query Parameters

cursor
string | null
limit
integer
default:0
Required range: 0 <= x <= 1000

Response

Successful Response

Result of a directory listing operation.

items
FileEntry · object[]
required
path
string
required
name
string
required
mutate_protected
boolean
default:false
upload_protected
boolean
default:false
current_page
string | null
next_page
string | null